#!/bin/bash

# mount encrypted /srv and start docker services

echo "Stop services if running"
systemctl stop containerd.service
systemctl stop docker.service
systemctl stop docker.socket
echo "open crypt device (and expand partition if needed)"
cryptsetup open /dev/sdb cryptvol
echo "mount /srv"
mount -o noatime,nodiratime,defaults /dev/mapper/cryptvol /srv
mount | grep /dev/mapper/cryptvol
echo "encrypted /srv mounted, content of /srv:"
ls -alh /srv 
echo "resize filesystem to new size if needed .."
btrfs filesystem resize max /srv
echo "starting services"
systemctl start containerd.service
systemctl start docker.service
systemctl start docker.socket
systemctl status containerd.service --no-pager
systemctl status docker.service --no-pager
systemctl status docker.socket --no-pager

